<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Edit Employee</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-5">
    <h2 class="mb-5">New Rental</h2>
    <div class="row">
        <div class="col-md-6">
            <form action="#" th:action="@{/rental/edit/{id}(id=${rentalDto.id})}" th:object="${rentalDto}"
                  method="post">
                <div class="row">
                    <div class="form-group col-md-6">
                        <label for="name" class="col-form-label">Name</label>
                        <input type="text" th:field="*{name}" class="form-control" id="name" placeholder="Name">
                        <span th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="internetDomain" class="col-form-label">Internet Domain</label>
                        <input type="text" th:field="*{internetDomain}" class="form-control" id="internetDomain"
                               placeholder="Internet Domain">
                        <span th:if="${#fields.hasErrors('internetDomain')}" th:errors="*{internetDomain}"
                              class="text-danger"></span>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="logoType" class="col-form-label">Logo Type</label>
                            <input type="text" th:field="*{logoType}" class="form-control" id="logoType"
                                   placeholder="Logo Type">
                            <span th:if="${#fields.hasErrors('logoType')}" th:errors="*{logoType}"
                                  class="text-danger"></span>

                            <div class="form-group col-md-6">
                                <label for="contactAddress" class="col-form-label">Contact Address</label>
                                <input type="text" th:field="*{contactAddress}" class="form-control" id="contactAddress"
                                       placeholder="Contact Address">
                                <span th:if="${#fields.hasErrors('contactAddress')}" th:errors="*{contactAddress}"
                                      class="text-danger"></span>

                                <div class="form-group col-md-6">
                                    <label for="owner" class="col-form-label">Owner</label>
                                    <select th:field="*{ownerId}" id="owner">
                                        <option th:each="cstm : ${availableOwners}"
                                                th:value="${cstm.id}"
                                                th:text="${cstm.name}">
                                        </option>
                                    </select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6 mt-5">
                                    <input type="submit" class="btn btn-primary" value="Edit Rental">
                                </div>
                            </div>
                        </div>
                    </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>
